crontab, purge
authorheiko
Wed, 03 Jan 2007 09:36:10 +0000
changeset 24 93551b0dbeee
parent 23 bce276394054
child 25 de6564667c1b
crontab, purge
debian/changelog
debian/cron.daily
debian/postrm
debian/rules
--- a/debian/changelog	Wed Jan 03 09:21:21 2007 +0000
+++ b/debian/changelog	Wed Jan 03 09:36:10 2007 +0000
@@ -1,3 +1,17 @@
+exigrey (0.9-1) stable; urgency=low
+
+  * new features for cmd tool
+  * cron.daily
+
+ -- Heiko Schlittermann <hs@schlittermann.de>  Wed, 03 Jan 2007 10:21:33 +0100
+
+exigrey (0.8-1) stable; urgency=low
+
+  * new upstream
+    -bug fix
+
+ -- Heiko Schlittermann <hs@schlittermann.de>  Wed, 03 Jan 2007 00:15:29 +0100
+
 exigrey (0.7-1) stable; urgency=low
 
   * new upstream:
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/cron.daily	Wed Jan 03 09:36:10 2007 +0000
@@ -0,0 +1,2 @@
+#! /bin/bash
+exigrey --clean 3 `exigrey --dbs` >/dev/null
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/postrm	Wed Jan 03 09:36:10 2007 +0000
@@ -0,0 +1,49 @@
+#!/bin/sh
+# postrm script for exigrey
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <overwriter>
+#          <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    purge)
+	# try to find the db file in the default place
+	dir=`exim4 -be '$spool_directory'` || exit 0
+	test -d "$dir/grey" || exit 0
+	rm -f "$dir/grey/"* || true
+	rmdir "$dir/grey"   || true
+	left=`find "$dir/grey" 2>/dev/null | wc` || true
+	test -n "$x" && echo "Some files are left in $dir/grey!" >&2
+    ;;
+
+    remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+    ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- a/debian/rules	Wed Jan 03 09:21:21 2007 +0000
+++ b/debian/rules	Wed Jan 03 09:36:10 2007 +0000
@@ -82,7 +82,7 @@
 #	dh_installmime
 #	dh_python
 #	dh_installinit
-#	dh_installcron
+	dh_installcron
 #	dh_installinfo
 	dh_installman
 	dh_link